## com.gargoylesoftware.htmlunit.html
Class BaseFrame

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode
          com.gargoylesoftware.htmlunit.html.DomNamespaceNode
              com.gargoylesoftware.htmlunit.html.DomElement
                  com.gargoylesoftware.htmlunit.html.HtmlElement
                      com.gargoylesoftware.htmlunit.html.StyledElement
                          com.gargoylesoftware.htmlunit.html.BaseFrame

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.Node

Direct Known Subclasses:
  HtmlFrame, HtmlInlineFrame

    public abstract class BaseFrame

extends StyledElement

Base class for frame and iframe.

Version:
  $Revision: 4789 $
Author:
  Mike Bowler, David K. Taylor, Christian Sell, Marc Guillemot, David D. Kilzer, Stefan Anzinger, Ahmed Ashour, Dmitri Zoubkov, Daniel Gredler
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement
`HtmlElement.ChildElementsIterator`

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`DomNode.ChildIterator, DomNode.DescendantElementsIterator`

Field Summary

Fields inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement
`TAB_INDEX_OUT_OF_BOUNDS`

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomElement
`ATTRIBUTE_NOT_DEFINED, ATTRIBUTE_VALUE_EMPTY`

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`AS_TEXT_BLANK, AS_TEXT_BLOCK_SEPARATOR, AS_TEXT_NEW_LINE, AS_TEXT_TAB, PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` `BaseFrame(java.lang.String namespaceURI, java.lang.String qualifiedName, SgmlPage page, java.util.Map<java.lang.String,DomAttr> attributes)` Creates an instance of BaseFrame.

Method Summary
`Page` `getEnclosedPage()` Returns the currently loaded page in the enclosed window.
`WebWindow` `getEnclosedWindow()` Gets the window enclosed in this frame.
`java.lang.String` `getFrameBorderAttribute()` Returns the value of the attribute "frameborder".
`java.lang.String` `getLongDescAttribute()` Returns the value of the attribute "longdesc".
`java.lang.String` `getMarginHeightAttribute()` Returns the value of the attribute "marginheight".
`java.lang.String` `getMarginWidthAttribute()` Returns the value of the attribute "marginwidth".
`java.lang.String` `getNameAttribute()` Returns the value of the attribute "name".
`java.lang.String` `getNoResizeAttribute()` Returns the value of the attribute "noresize".
`java.lang.String` `getOnLoadAttribute()` Returns the value of the attribute "onload".
`java.lang.String` `getScrollingAttribute()` Returns the value of the attribute "scrolling".
`java.lang.String` `getSrcAttribute()` Returns the value of the attribute "src".
`void` `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String attributeValue)` Sets the value of the specified attribute.
`void` `setNameAttribute(java.lang.String name)` Sets the value of the "name" attribute.
`void` `setSrcAttribute(java.lang.String attribute)` Sets the value of the "src" attribute.

Methods inherited from class com.gargoylesoftware.htmlunit.html.StyledElement
`getClassAttribute, getIdAttribute, getStyleAttribute, getTitleAttribute`

Methods inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement

`addHtmlAttributeChangeListener, appendChildIfNoneExists, blur, checkChildHierarchy, click, click, click, dblClick, dblClick, doClickAction, doType, fireEvent, fireEvent, fireHtmlAttributeAdded, fireHtmlAttributeRemoved, fireHtmlAttributeReplaced, focus, getChildElements, getElementById, getElementsByAttribute, getEnclosingElement, getEnclosingForm, getEnclosingFormOrDie, getEventHandler, getHtmlElementsByTagName, getHtmlElementsByTagNames, getId, getLangAttribute, getNodeName, getOnClickAttribute, getOnDblClickAttribute, getOneHtmlElementByAttribute, getOnKeyDownAttribute, getOnKeyPressAttribute, getOnKeyUpAttribute, getOnMouseDownAttribute, getOnMouseMoveAttribute, getOnMouseOutAttribute, getOnMouseOverAttribute, getOnMouseUpAttribute, getTabIndex, getTextDirectionAttribute, getXmlLangAttribute, hasHtmlElementWithId, isAttributeCaseSensitive, isStateUpdateFirst, isSubmittableByEnter, mouseDown, mouseDown, mouseMove, mouseMove, mouseOut, mouseOut, mouseOver, mouseOver, mouseUp, mouseUp, preventDefault, removeAttribute, removeChild, removeEventHandler, removeHtmlAttributeChangeListener, rightClick, rightClick, setEventHandler, setEventHandler, setId, toString, type, type, type, type`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomElement

`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributesMap, getElementsByTagName, getElementsByTagNameNS, getNodeType, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEmptyXmlTagExpanded, namespaces, printOpeningTagContentAsXml, printXml, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNamespaceNode
`getLocalName, getNamespaceURI, getPrefix, getQualifiedName, setPrefix`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNode

`addDomChangeListener, appendChild, asText, asXml, compareDocumentPosition, fireNodeAdded, fireNodeDeleted, getAllHtmlChildElements, getAncestors, getBaseURI, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getPage, getParentNode, getPreviousSibling, getReadyState, getScriptObject, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, hasChildNodes, insertBefore, insertBefore, isAncestorOf, isBlock, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, isTrimmedText, lookupNamespaceURI, lookupPrefix, normalize, notifyIncorrectness, onAddedToPage, onAllChildrenAddedToPage, printChildrenAsXml, remove, removeAllChildren, removeChild, removeDomChangeListener, replace, replaceChild, selectNodes, selectSingleNode, setNextSibling, setNodeValue, setParentNode, setPreviousSibling, setReadyState, setScriptObject, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, compareDocumentPosition, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### BaseFrame

    protected BaseFrame(java.lang.String namespaceURI,
                        java.lang.String qualifiedName,
                        SgmlPage page,
                        java.util.Map<java.lang.String,DomAttr> attributes)

  Creates an instance of BaseFrame.

  Parameters:
    `namespaceURI` - the URI that identifies an XML namespace
    `qualifiedName` - the qualified name of the element type to instantiate
    `page` - the HtmlPage that contains this element
    `attributes` - the initial attributes

Method Detail

### getLongDescAttribute

    public final java.lang.String getLongDescAttribute()

  Returns the value of the attribute "longdesc". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "longdesc" or an empty string if that attribute isn't defined

### getNameAttribute

    public final java.lang.String getNameAttribute()

  Returns the value of the attribute "name". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "name" or an empty string if that attribute isn't defined

### setNameAttribute

    public final void setNameAttribute(java.lang.String name)

  Sets the value of the "name" attribute.

  Parameters:
    `name` - the new window name

### getSrcAttribute

    public final java.lang.String getSrcAttribute()

  Returns the value of the attribute "src". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "src" or an empty string if that attribute isn't defined

### getFrameBorderAttribute

    public final java.lang.String getFrameBorderAttribute()

  Returns the value of the attribute "frameborder". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "frameborder" or an empty string if that attribute isn't defined

### getMarginWidthAttribute

    public final java.lang.String getMarginWidthAttribute()

  Returns the value of the attribute "marginwidth". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "marginwidth" or an empty string if that attribute isn't defined

### getMarginHeightAttribute

    public final java.lang.String getMarginHeightAttribute()

  Returns the value of the attribute "marginheight". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "marginheight" or an empty string if that attribute isn't defined

### getNoResizeAttribute

    public final java.lang.String getNoResizeAttribute()

  Returns the value of the attribute "noresize". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "noresize" or an empty string if that attribute isn't defined

### getScrollingAttribute

    public final java.lang.String getScrollingAttribute()

  Returns the value of the attribute "scrolling". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "scrolling" or an empty string if that attribute isn't defined

### getOnLoadAttribute

    public final java.lang.String getOnLoadAttribute()

  Returns the value of the attribute "onload". This attribute is not actually supported by the HTML specification however it is supported by the popular browsers.

  Returns:
    the value of the attribute "onload" or an empty string if that attribute isn't defined

### getEnclosedPage

    public Page getEnclosedPage()

  Returns the currently loaded page in the enclosed window. This is a facility method for `getEnclosedWindow().getEnclosedPage()`.

  Returns:
    the currently loaded page in the enclosed window, or `null` if no page has been loaded
  See Also:
    `WebWindow.getEnclosedPage()`

### getEnclosedWindow

    public WebWindow getEnclosedWindow()

  Gets the window enclosed in this frame.

  Returns:
    the window enclosed in this frame

### setSrcAttribute

    public final void setSrcAttribute(java.lang.String attribute)

  Sets the value of the "src" attribute. Also loads the frame with the specified URL, if possible.

  Parameters:
    `attribute` - the new value of the "src" attribute

### setAttributeNS

    public void setAttributeNS(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String attributeValue)

  Sets the value of the specified attribute. This method may be overridden by subclasses which are interested in specific attribute value changes, but such methods must invoke `super.setAttributeValue()`, and should consider the value of the `cloning` parameter when deciding whether or not to execute custom logic.

  Specified by:
    `setAttributeNS` in interface `org.w3c.dom.Element`
  Overrides:
    `setAttributeNS` in class `HtmlElement`
  Parameters:
    `namespaceURI` - the URI that identifies an XML namespace
    `qualifiedName` - the qualified name of the attribute
    `attributeValue` - the value of the attribute

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.